#include <bits/stdc++.h>
using namespace std;
int x1,Y1,x2,y2;
int main(){
cin>>x1>>Y1>>x2>>y2;
if(x1==x2 and Y1==y2)cout<<0<<endl;
else if(x1==x2 or Y1==y2)cout<<2<<endl;
else cout<<1<<endl;

return 0;}